{
  "namespace": "vatonage-roost-ui",

  "title_label": {
    "type": "label",
    "offset": [ 0, 20 ],
    "anchor_from": "top_middle",
    "anchor_to": "top_middle",
    "text": "$container_title",
    "color": "$title_text_color",
    "layer": 4
  },

  "container_slot_give@common.container_slot_button_prototype": {
    "button_mappings": [
      {
        "from_button_id": "button.menu_select",
        "to_button_id": "button.container_auto_place",
        "mapping_type": "pressed"
      },
      {
        "from_button_id": "button.menu_ok",
        "to_button_id": "button.container_auto_place",
        "mapping_type": "pressed"
      },
      {
        "from_button_id": "button.menu_secondary_select",
        "to_button_id": "button.container_auto_place",
        "mapping_type": "pressed"
      },
      {
        "from_button_id": "button.controller_select",
        "to_button_id": "button.container_auto_place",
        "mapping_type": "pressed"
      },
      {
        "from_button_id": "button.menu_auto_place",
        "to_button_id": "button.container_auto_place",
        "mapping_type": "pressed"
      },
      {
        "from_button_id": "button.controller_secondary_select",
        "to_button_id": "button.container_auto_place",
        "mapping_type": "pressed"
      },
      {
        "from_button_id": "button.menu_inventory_drop",
        "to_button_id": "button.container_auto_place",
        "mapping_type": "pressed"
      },
      {
        "from_button_id": "button.menu_inventory_drop_all",
        "to_button_id": "button.container_auto_place",
        "mapping_type": "pressed"
      }
    ]
  },

  "slots_grid": {
    "type": "grid",
    "size": [ 108, 18 ],
    "anchor_from": "top_middle",
    "anchor_to": "top_middle",
    "grid_dimensions": [ 6, 1],
    "collection_name": "container_items",
    "grid_item_template": "ore_chickens_common.chest_grid_item",
    "controls": [
      {
        "input_slot": {
        "type": "panel",
        "grid_position": [ 0, 0 ],
        "controls": [
        {
        "left_top@ore_chickens_common.chest_grid_item": {
        "$cell_overlay_ref": "ore_chickens_common.chicken_overlay",
        "ignored": false,
        "offset": [ -18, 0 ],
        "layer": 0
       }}]}},
      {
        "arrow_slot": {
        "type": "panel",
        "grid_position": [ 1, 0 ],
        "controls": [
        {
        "left_top@ore_chickens_common.chest_grid_item": {
        "ignored": false,
        "$item_renderer_size": [32, 32],
        "$cell_image_size": [ 0, 0 ],
        "size": [ 0, 0],
        "offset": [ -9, -1 ],
        "layer": 0
       }}]}},
       {
        "output_slot": {
        "type": "panel",
        "grid_position": [ 2, 0 ],
        "controls": [
        {
        "left_top@ore_chickens_common.chest_grid_item": {
        "ignored": false,
        "$item_renderer_size": [16, 16],
        "$cell_image_size": [ 18, 18 ],
        "size": [ 18, 18],
        "offset": [ 0, 0 ],
        "layer": 0,
        "$button_ref": "vatonage-roost-ui.container_slot_give",
        "property_bag": {
            "#name": "[Empty]"
        },
        "bindings": [
            {
              "binding_name": "#hover_text",
              "binding_type": "collection",
              "binding_condition": "always",
              "binding_collection_name": "container_items"
            },
            {
              "binding_type": "view",
              "source_property_name": "(((#hover_text - #name) = #hover_text) and (not ((#name - ' ') = '')))",
              "target_property_name": "#active"
            },
            {
              "binding_type": "view",
              "source_property_name": "((#active))",
              "target_property_name": "#visible"
            }
          ]
       }}]}},
       {
        "output_slot": {
        "type": "panel",
        "grid_position": [ 3, 0 ],
        "controls": [
        {
        "left_top@ore_chickens_common.chest_grid_item": {
        "ignored": false,
        "$item_renderer_size": [16, 16],
        "$cell_image_size": [ 18, 18 ],
        "size": [ 18, 18],
        "offset": [ 0, 0 ],
        "layer": 0,
        "$button_ref": "vatonage-roost-ui.container_slot_give",
        "property_bag": {
            "#name": "[Empty]"
        },
        "bindings": [
            {
              "binding_name": "#hover_text",
              "binding_type": "collection",
              "binding_condition": "always",
              "binding_collection_name": "container_items"
            },
            {
              "binding_type": "view",
              "source_property_name": "(((#hover_text - #name) = #hover_text) and (not ((#name - ' ') = '')))",
              "target_property_name": "#active"
            },
            {
              "binding_type": "view",
              "source_property_name": "((#active))",
              "target_property_name": "#visible"
            }
          ]
       }}]}},
       {
        "output_slot": {
        "type": "panel",
        "grid_position": [ 4, 0 ],
        "controls": [
        {
        "left_top@ore_chickens_common.chest_grid_item": {
        "ignored": false,
        "$item_renderer_size": [16, 16],
        "$cell_image_size": [ 18, 18 ],
        "size": [ 18, 18],
        "offset": [ 0, 0 ],
        "layer": 0,
        "$button_ref": "vatonage-roost-ui.container_slot_give",
        "property_bag": {
            "#name": "[Empty]"
        },
        "bindings": [
            {
              "binding_name": "#hover_text",
              "binding_type": "collection",
              "binding_condition": "always",
              "binding_collection_name": "container_items"
            },
            {
              "binding_type": "view",
              "source_property_name": "(((#hover_text - #name) = #hover_text) and (not ((#name - ' ') = '')))",
              "target_property_name": "#active"
            },
            {
              "binding_type": "view",
              "source_property_name": "((#active))",
              "target_property_name": "#visible"
            }
          ]
       }}]}},
       {
        "output_slot": {
        "type": "panel",
        "grid_position": [ 5, 0 ],
        "controls": [
        {
        "left_top@ore_chickens_common.chest_grid_item": {
        "ignored": false,
        "$item_renderer_size": [16, 16],
        "$cell_image_size": [ 18, 18 ],
        "size": [ 18, 18],
        "offset": [ 0, 0 ],
        "layer": 0,
        "$button_ref": "vatonage-roost-ui.container_slot_give",
        "property_bag": {
            "#name": "[Empty]"
        },
        "bindings": [
            {
              "binding_name": "#hover_text",
              "binding_type": "collection",
              "binding_condition": "always",
              "binding_collection_name": "container_items"
            },
            {
              "binding_type": "view",
              "source_property_name": "(((#hover_text - #name) = #hover_text) and (not ((#name - ' ') = '')))",
              "target_property_name": "#active"
            },
            {
              "binding_type": "view",
              "source_property_name": "((#active))",
              "target_property_name": "#visible"
            }
          ]
       }}]}}
    ]
  },
  
  
  "roost_panel_top_half": {
     "type": "panel",
     "size": [ 176, 166 ],
     "offset": [ 0, 0 ],
     "anchor_to": "center",
     "anchor_from": "center",
     "controls": [
      { "label@vatonage-roost-ui.title_label": {}},
      { "slots_grid@vatonage-roost-ui.slots_grid": {
        "offset": [ 9, 35.5 ]}}
			]
  }
}